package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 转账特殊设置枚举
 */
@AllArgsConstructor
@Getter
public enum ETransferSpecial {

    /**
     * 不控制
     */
    NO_CONTROL(1, "不控制", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "1"),

    /**
     * 血缘伞下
     */
    BLOOD_UNDER_UMBRELLA(2, "血缘伞下", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "2"),

    /**
     * 血缘伞上
     */
    BLOOD_ON_UMBRELLA(3, "血缘伞上", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "3"),

    /**
     * 安置伞下
     */
    PLACE_UNDER_UMBRELLA(4, "安置伞下", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "4"),

    /**
     * 安置伞上
     */
    PLACE_ON_UMBRELLA(5, "安置伞上", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "5"),

    /**
     * 血缘全部
     */
    BLOOD_ALL(6, "血缘全部", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "6"),

    /**
     * 安置全部
     */
    PLACE_ALL(7, "安置全部", 0, EnumsPrefixConstants.TRANSFER_SPECIAL + "7"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;
}
